Loading ...
Sorry, an error occurred while loading the content.

Re: Snow Leopard drops MacOSX10.4u.sdk SDK -- MacVim won't build on 10.6

Expand Messages
  • Tim Hammerquist
    ... Thanks! I build the ruby macport as you described and it, as well as a MacVim+rubyinterp, built without any issues. FYI, MacPorts ruby19 port will not
    Message 1 of 52 , Sep 25, 2009
    • 0 Attachment
      Kazuki Sakamoto <sakamoto.kazuki@...> wrote:
      > Tim Hammerquist <penryu@...> wrote:
      >> ruby (MacPorts @1.8.7-p174)
      >> MacVim (git master, HEAD=24d9b9)
      >> Did I misunderstand?  Do I still need to build a custom ruby from
      >> source?  Or is there something else going on here?
      >
      > MacVim (MacVim.app/Contents/MacOS/Vim) is for architecture i386.
      > ruby (libruby.dylib) is for architecture x86_64.
      >
      > So, you need to install ruby with i386 x86_64 universal variant.
      >
      > sudo port uninstall ruby (or deactivate)
      > sudo port install ruby +universal universal_archs="i386 x86_64"

      Thanks!

      I build the ruby macport as you described and it, as well as a
      MacVim+rubyinterp, built without any issues.

      FYI, MacPorts' ruby19 port will not build with those universal args.
      It's a very similar error:

      ld: warning: in ./libruby1.9.dylib, file is not of required architecture
      Undefined symbols for architecture i386:
      "_ruby_options", referenced from:
      _main in main.o
      "_ruby_sysinit", referenced from:
      _main in main.o
      "_ruby_init_stack", referenced from:
      _main in main.o
      "_ruby_run_node", referenced from:
      _main in main.o
      "_ruby_init", referenced from:
      _main in main.o
      ld: symbol(s) not found for architecture i386

      For whatever reason, the same commands to the ruby19 port don't build a
      compatible dylib. I haven't had a chance to go over the output, and
      it's not a big deal. In any case, it's an issue for MacPorts, not you
      good folk. :)

      Thanks for all your help!

      Tim

      --~--~---------~--~----~------------~-------~--~----~
      You received this message from the "vim_mac" maillist.
      For more information, visit http://www.vim.org/maillist.php
      -~----------~----~----~----~------~----~------~--~---
    • björn
      ... Hi Ernst, The easiest would be to download the latest snapshot: http://code.google.com/p/macvim/wiki/Snapshot unless you need to configure special features
      Message 52 of 52 , Oct 15, 2009
      • 0 Attachment
        2009/10/15 Ernst <ernstjaarsma@...>:
        >
        > In September you sugested to build MacVim from source on Snow Leopard;
        > but I waited until it would install via the MacPorts package manager.
        > Because that still doesn't work I'm considering building from source
        > after all. Do you know when MacVim will work in MacPorts?

        Hi Ernst,

        The easiest would be to download the latest snapshot:

        http://code.google.com/p/macvim/wiki/Snapshot

        unless you need to configure special features (although the snapshot
        contains the most common ones) in which case it is quite easy to build
        your own. Just follow the build instructions:

        http://code.google.com/p/macvim/wiki/Building


        Björn

        --~--~---------~--~----~------------~-------~--~----~
        You received this message from the "vim_mac" maillist.
        For more information, visit http://www.vim.org/maillist.php
        -~----------~----~----~----~------~----~------~--~---
      Your message has been successfully submitted and would be delivered to recipients shortly.